<template>
  <div>
    <v-btn
        v-if="!showCard"
        x-large
        icon
        color="green"
        v-on:click="event(''); showCard = true"
    >
      <v-icon size="50px">
        mdi-home
      </v-icon>
    </v-btn>
    <v-container class="grey lighten-5" v-if="showCard">
      <v-row no-gutters>
        <v-col
            v-for="card in cards"
            :key="card.event"
            cols="12"
            sm="4"
        >
          <v-card
              class="mx-auto"
              max-width="344"
          >
            <v-img
                v-on:click="event(card.event); showCard = false;"
                :src="card.src"
                height="200px"
            ></v-img>

            <v-card-title>
              {{ card.title }}
            </v-card-title>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>

<script>
export default {
  name: "Browse",
  data() {
    return {
      showCard: true,
      cards: [
        { title: 'Clients', src: 'https://images.assetsdelivery.com/compings_v2/gmast3r/gmast3r1711/gmast3r171101554.jpg', event: 'clients'},
        { title: 'Factures', src: 'https://cdn.discordapp.com/attachments/674626586477068289/838754890212704276/woman-use-gadget-mobile-smartphone-earn-money-online-with-dollar-icon-picture-id1203675367.png', event: 'factures'},
        { title: 'Produits', src: 'https://st2.depositphotos.com/1063437/12126/i/600/depositphotos_121268912-stock-photo-composition-with-variety-of-organic.jpg', event: 'produits'}
      ],
    }
  },
  methods: {
    event(type){
      this.$emit('url', type)
    },
  }
}
</script>

<style scoped>

</style>